---
title: "创建履约服务地点"
description: "创建一个履约服务地点。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/fulfillment-service/create-fulfillment-location'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/fulfillment-service/create-fulfillment-location.md'
---
# 创建履约服务地点

创建一个履约服务地点。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_fulfillment_service`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /fulfillment_service_location/create.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_fulfillment_service`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `location`

  object

  履约服务地点信息。

  * `address1`

    string

    地点的第一行，通常是街道地址或邮政信箱编号等信息。

  * `address2`

    string

    地点的第二行，通常是公寓、套房或单元等信息。

  * `city`

    string

    城市。

  * `city_code`

    string

    城市的编码。

  * `country`

    string

    国家或地区。

  * `country_code`

    string

    国家或地区的二位码，遵循 [ISO 3166-1 (alpha 2)](https://www.iso.org/glossary-for-iso-3166.html) 国际标准。

  * `inventory_management`

    boolean

    地点的商品库存是否由履约应用管理。
    - `true`：由履约应用管理。
    - `false`：由 SHOPLINE 商家后台管理。
    
    默认值：`true`

  * `name`

    string

    地点的名称。

  * `permits_sku_sharing`

    boolean

    地点的商品库存是否与其他地点共享。
    - `true`：地点的商品库存与其他地点共享。
    - `false`：地点的商品库存不与其他地点共享。
    
    默认值：`false`

  * `phone`

    string

    商家的手机号码。

  * `phone_code`

    string

    手机号码的国际区号。

  * `province`

    string

    州或省。

  * `province_code`

    string

    州或省的编码。

  * `zip`

    string

    地点的邮政编码。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `location`

  object

  履约服务地点信息。

  * `active`

    boolean

    地点是否已启用。
    - `true`：已启用
    - `false`：未启用

  * `address1`

    string

    地点的第一行，通常是街道地址或邮政信箱编号等信息。

  * `address2`

    string

    地点的第二行，通常是公寓、套房或单元等信息。

  * `city`

    string

    城市。

  * `city_code`

    string

    城市的编码。

  * `country`

    string

    国家或地区。

  * `country_code`

    string

    国家或地区的二位码，遵循 [ISO 3166-1 (alpha 2)](https://www.iso.org/glossary-for-iso-3166.html) 国际标准。

  * `create_at`

    string

    地点创建的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `id`

    string

    地点的唯一标识符 ID。

  * `inventory_management`

    boolean

    地点的商品库存是否由履约应用管理。
    - `true`：由履约应用管理。
    - `false`：由 SHOPLINE 商家后台管理。

  * `is_default`

    boolean

    地点是否为默认地点。
    - `true`：地点是默认地点。
    - `false`：地点不是默认地点。

  * `legacy`

    boolean

    地点是否为履约应用的专属地点。
    - `true`：地点是履约应用的专属地点。
    - `false`：地点不是履约应用的专属地点。

  * `name`

    string

    地点的名称。

  * `permits_sku_sharing`

    boolean

    地点的商品库存是否与其他地点共享。
    - `true`：地点的商品库存与其他地点共享。
    - `false`：地点的商品库存不与其他地点共享。

  * `phone`

    string

    商家的手机号码。

  * `phone_code`

    string

    手机号码的国际区号。

  * `province`

    string

    州或省。

  * `province_code`

    string

    州或省的编码。

  * `update_at`

    string

    地点更新的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `zip`

    string

    地点的邮政编码。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "创建履约服务地点"
  ],
  "description": "创建一个履约服务地点。",
  "externalDocs": {
    "description": "接口使用的权限点: `write_fulfillment_service` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| PERMISSION_DENIED | 403 | You do not have permission to access. |\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n"
  },
  "operationId": "EU4Xb0F7",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body位置参数",
          "type": "object",
          "properties": {
            "location": {
              "name": "location",
              "description": "履约服务地点信息。",
              "type": "object",
              "properties": {
                "address1": {
                  "name": "address1",
                  "description": "地点的第一行，通常是街道地址或邮政信箱编号等信息。",
                  "type": "string",
                  "example": "126 York Street"
                },
                "address2": {
                  "name": "address2",
                  "description": "地点的第二行，通常是公寓、套房或单元等信息。",
                  "type": "string",
                  "example": "Unit 42"
                },
                "city": {
                  "name": "city",
                  "description": "城市。",
                  "type": "string",
                  "example": "Ottawa"
                },
                "city_code": {
                  "name": "city_code",
                  "description": "城市的编码。",
                  "type": "string",
                  "example": "120100"
                },
                "country": {
                  "name": "country",
                  "description": "国家或地区。",
                  "type": "string",
                  "example": "Canada"
                },
                "country_code": {
                  "name": "country_code",
                  "description": "国家或地区的二位码，遵循 [ISO 3166-1 (alpha 2)](https://www.iso.org/glossary-for-iso-3166.html) 国际标准。",
                  "type": "string",
                  "example": "CA"
                },
                "inventory_management": {
                  "name": "inventory_management",
                  "description": "地点的商品库存是否由履约应用管理。\n- `true`：由履约应用管理。\n- `false`：由 SHOPLINE 商家后台管理。\n\n默认值：`true`",
                  "type": "boolean"
                },
                "name": {
                  "name": "name",
                  "description": "地点的名称。",
                  "type": "string",
                  "example": "Ottawa Store"
                },
                "permits_sku_sharing": {
                  "name": "permits_sku_sharing",
                  "description": "地点的商品库存是否与其他地点共享。\n- `true`：地点的商品库存与其他地点共享。\n- `false`：地点的商品库存不与其他地点共享。\n\n默认值：`false`",
                  "type": "boolean"
                },
                "phone": {
                  "name": "phone",
                  "description": "商家的手机号码。",
                  "type": "string",
                  "example": "18883290139"
                },
                "phone_code": {
                  "name": "phone_code",
                  "description": "手机号码的国际区号。",
                  "type": "string",
                  "example": "0010"
                },
                "province": {
                  "name": "province",
                  "description": "州或省。",
                  "type": "string",
                  "example": "Ontario"
                },
                "province_code": {
                  "name": "province_code",
                  "description": "州或省的编码。",
                  "type": "string",
                  "example": "2400011"
                },
                "zip": {
                  "name": "zip",
                  "description": "地点的邮政编码。",
                  "type": "string",
                  "example": "A1B 2C3"
                }
              },
              "required": [
                "name",
                "phone",
                "country_code",
                "zip"
              ],
              "example": {
                "address1": "126 York Street",
                "address2": "Unit 42",
                "city": "Ottawa",
                "city_code": "120100",
                "country": "Canada",
                "country_code": "CA",
                "inventory_management": null,
                "name": "Ottawa Store",
                "permits_sku_sharing": null,
                "phone": "18883290139",
                "phone_code": "0010",
                "province": "Ontario",
                "province_code": "2400011",
                "zip": "A1B 2C3"
              }
            }
          },
          "required": [
            "location"
          ],
          "example": {
            "location": {
              "address1": "126 York Street",
              "address2": "Unit 42",
              "city": "Ottawa",
              "city_code": "120100",
              "country": "Canada",
              "country_code": "CA",
              "inventory_management": null,
              "name": "Ottawa Store",
              "permits_sku_sharing": null,
              "phone": "18883290139",
              "phone_code": "0010",
              "province": "Ontario",
              "province_code": "2400011",
              "zip": "A1B 2C3"
            }
          }
        },
        "examples": {
          "创建一个履约服务地点": {
            "description": "创建一个履约服务地点",
            "value": {
              "location": {
                "address1": "2800 E Observatory Rd",
                "address2": "Griffith Observatory",
                "city": "Los Angeles",
                "city_code": "",
                "country": "United States",
                "country_code": "US",
                "inventory_management": true,
                "name": "Ottawa Store",
                "permits_sku_sharing": true,
                "phone": "213***0199",
                "phone_code": "001",
                "province": "California",
                "province_code": "4200006",
                "zip": "90027"
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "location": {
                "name": "location",
                "description": "履约服务地点信息。",
                "type": "object",
                "properties": {
                  "active": {
                    "name": "active",
                    "description": "地点是否已启用。\n- `true`：已启用\n- `false`：未启用",
                    "type": "boolean"
                  },
                  "address1": {
                    "name": "address1",
                    "description": "地点的第一行，通常是街道地址或邮政信箱编号等信息。",
                    "type": "string",
                    "example": "126 York Street"
                  },
                  "address2": {
                    "name": "address2",
                    "description": "地点的第二行，通常是公寓、套房或单元等信息。",
                    "type": "string",
                    "example": "Unit 42"
                  },
                  "city": {
                    "name": "city",
                    "description": "城市。",
                    "type": "string",
                    "example": "Ottawa"
                  },
                  "city_code": {
                    "name": "city_code",
                    "description": "城市的编码。",
                    "type": "string",
                    "example": "120100"
                  },
                  "country": {
                    "name": "country",
                    "description": "国家或地区。",
                    "type": "string",
                    "example": "Canada"
                  },
                  "country_code": {
                    "name": "country_code",
                    "description": "国家或地区的二位码，遵循 [ISO 3166-1 (alpha 2)](https://www.iso.org/glossary-for-iso-3166.html) 国际标准。",
                    "type": "string",
                    "example": "CA"
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "地点创建的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2021-08-16T08:27:57+00:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "地点的唯一标识符 ID。",
                    "type": "string",
                    "example": "5668167071852661850"
                  },
                  "inventory_management": {
                    "name": "inventory_management",
                    "description": "地点的商品库存是否由履约应用管理。\n- `true`：由履约应用管理。\n- `false`：由 SHOPLINE 商家后台管理。",
                    "type": "boolean"
                  },
                  "is_default": {
                    "name": "is_default",
                    "description": "地点是否为默认地点。\n- `true`：地点是默认地点。\n- `false`：地点不是默认地点。",
                    "type": "boolean"
                  },
                  "legacy": {
                    "name": "legacy",
                    "description": "地点是否为履约应用的专属地点。\n- `true`：地点是履约应用的专属地点。\n- `false`：地点不是履约应用的专属地点。",
                    "type": "boolean"
                  },
                  "name": {
                    "name": "name",
                    "description": "地点的名称。",
                    "type": "string",
                    "example": "Ottawa Store"
                  },
                  "permits_sku_sharing": {
                    "name": "permits_sku_sharing",
                    "description": "地点的商品库存是否与其他地点共享。\n- `true`：地点的商品库存与其他地点共享。\n- `false`：地点的商品库存不与其他地点共享。",
                    "type": "boolean",
                    "example": false
                  },
                  "phone": {
                    "name": "phone",
                    "description": "商家的手机号码。",
                    "type": "string",
                    "example": "18883290139"
                  },
                  "phone_code": {
                    "name": "phone_code",
                    "description": "手机号码的国际区号。",
                    "type": "string",
                    "example": "0010"
                  },
                  "province": {
                    "name": "province",
                    "description": "州或省。",
                    "type": "string",
                    "example": "Ontario"
                  },
                  "province_code": {
                    "name": "province_code",
                    "description": "州或省的编码。",
                    "type": "string",
                    "example": "2400011"
                  },
                  "update_at": {
                    "name": "update_at",
                    "description": "地点更新的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2021-08-16T08:27:57+00:00"
                  },
                  "zip": {
                    "name": "zip",
                    "description": "地点的邮政编码。",
                    "type": "string",
                    "example": "A1B 2C3"
                  }
                },
                "example": {
                  "active": null,
                  "address1": "126 York Street",
                  "address2": "Unit 42",
                  "city": "Ottawa",
                  "city_code": "120100",
                  "country": "Canada",
                  "country_code": "CA",
                  "create_at": "2021-08-16T08:27:57+00:00",
                  "id": "5668167071852661850",
                  "inventory_management": null,
                  "is_default": null,
                  "legacy": null,
                  "name": "Ottawa Store",
                  "permits_sku_sharing": false,
                  "phone": "18883290139",
                  "phone_code": "0010",
                  "province": "Ontario",
                  "province_code": "2400011",
                  "update_at": "2021-08-16T08:27:57+00:00",
                  "zip": "A1B 2C3"
                }
              }
            },
            "example": {
              "location": {
                "active": null,
                "address1": "126 York Street",
                "address2": "Unit 42",
                "city": "Ottawa",
                "city_code": "120100",
                "country": "Canada",
                "country_code": "CA",
                "create_at": "2021-08-16T08:27:57+00:00",
                "id": "5668167071852661850",
                "inventory_management": null,
                "is_default": null,
                "legacy": null,
                "name": "Ottawa Store",
                "permits_sku_sharing": false,
                "phone": "18883290139",
                "phone_code": "0010",
                "province": "Ontario",
                "province_code": "2400011",
                "update_at": "2021-08-16T08:27:57+00:00",
                "zip": "A1B 2C3"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "创建一个履约服务地点": {
              "description": "创建一个履约服务地点",
              "value": {
                "location": {
                  "active": true,
                  "address1": "2800 E Observatory Rd",
                  "address2": "Griffith Observatory",
                  "city": "Los Angeles",
                  "city_code": "",
                  "country": "United States",
                  "country_code": "US",
                  "create_at": "2026-07-15T15:28:17+08:00",
                  "id": "7613037372894658699",
                  "inventory_management": true,
                  "is_default": false,
                  "legacy": true,
                  "name": "Ottawa Store",
                  "permits_sku_sharing": true,
                  "phone": "213***0199",
                  "phone_code": "001",
                  "province": "California",
                  "province_code": "4200006",
                  "update_at": "2026-07-15T15:28:17+08:00",
                  "zip": "90027"
                }
              }
            }
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/fulfillment_service_location/create.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "创建履约服务地点",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_fulfillment_service"
  ]
}
```